<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>7.html</title>
	<script type="text/javascript">
		var frase="hola muy buenas a todos";
		var copiaFrase=frase.split();
		var vectorFrase=frase.split("");
		var vocales=["a","e","i","o","u"];
		

		vocales.forEach((vocal) => {
		  vectorFrase.forEach((caracter, indice) => { // con el split separamos cada letra con las comillas convirtiendolo en una especie de array
		    if(vocal==caracter){
		    	vectorFrase[indice]=".";
		    }
		  });
		});

		copiaFrase=vectorFrase.join("");
		
		console.log(frase);
		console.log(copiaFrase);
		console.log(vectorFrase);
		
	</script>
</head>
<body>
	
</body>
